import os
import sys

def create_file(path):
    # Ensure the directory exists
    directory = os.path.dirname(path)
    print(f"Attempting to create directory: {directory}")  # Add this line
    if not os.path.exists(directory):
        os.makedirs(directory)
    # Check if file already exists
    if os.path.exists(path):
        print(f"Error: File '{path}' already exists.")
        return

    # Create the file
    with open(path, 'w') as f:
        f.write("# Generated by BafCode bafcode cli y\n")
    print(f"File '{path}' created successfully!")

def make(type_,name):
    print(f"sys.argv: {sys.argv}")  # Debug: print the full sys.argv


    if type_ == "tool":
        base_dir = "tools"
        full_path = os.path.join(base_dir, name + ".py")
        create_file(full_path)
    elif type_ == "api":
        base_dir = "api"
        full_path = os.path.join(base_dir, name + ".py")
        create_file(full_path)
    elif type_ == "prompt":
        base_dir = "prompts"
        full_path = os.path.join(base_dir, name + ".py")
        create_file(full_path)
    elif type_ == "llm":
        base_dir = "llms"
        full_path = os.path.join(base_dir, name + ".py")
        create_file(full_path)
    else:
        print(f"Error: Unknown type_ '{type_}'")
        sys.exit(1)
